Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.expasy.bprg
Class PhenyxSILACPeptide

    java.lang.Object
      org.expasy.bprg.PhenyxSILACPeptide

    public class PhenyxSILACPeptide

extends java.lang.Object

Author:
  chernand

Constructor Summary
`PhenyxSILACPeptide(jxl.Cell[] identRowData)`

Method Summary
`int` | `getAACount(char[] labels)`
`int[]` | `getAACounts(char[] labels)`
`int` | `getAAPresent(char[] labels)`
`java.lang.String` | `getDescription()`
`java.lang.Iterable<java.lang.String>` | `getModifsExcept(java.lang.String exceptedLabel)`
`java.lang.Iterable<java.lang.String>` | `getModifsExcept(java.lang.String[] exceptedLabels)`
`double` | `getPeptideMass()`
`java.lang.String` | `getPeptideString()`
`java.lang.String` | `getProteinName()`
`java.lang.String` | `getSpectrumId()`
`java.lang.String` | `getSpectrumLabel()`
`boolean` | `isLabeledWith(java.lang.String label)`
`boolean[]` | `isLabeledWith(java.lang.String[] labels)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PhenyxSILACPeptide

    public PhenyxSILACPeptide(jxl.Cell[] identRowData)

Method Detail

### isLabeledWith

    public boolean isLabeledWith(java.lang.String label)

### isLabeledWith

    public boolean[] isLabeledWith(java.lang.String[] labels)

### getAACount

    public int getAACount(char[] labels)

### getAACounts

    public int[] getAACounts(char[] labels)

### getAAPresent

    public int getAAPresent(char[] labels)

### getSpectrumId

    public java.lang.String getSpectrumId()

### getSpectrumLabel

    public java.lang.String getSpectrumLabel()

### getModifsExcept

    public java.lang.Iterable<java.lang.String> getModifsExcept(java.lang.String exceptedLabel)

  Parameters:
    `modifsCell` -
  Returns:

### getModifsExcept

    public java.lang.Iterable<java.lang.String> getModifsExcept(java.lang.String[] exceptedLabels)

  Parameters:
    `modifsCell` -
  Returns:

### getDescription

    public java.lang.String getDescription()

  Returns:
    the description

### getPeptideMass

    public double getPeptideMass()

  Returns:
    the peptideMass

### getPeptideString

    public java.lang.String getPeptideString()

  Returns:
    the peptideString

### getProteinName

    public java.lang.String getProteinName()

  Returns:
    the proteinName

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD